# Class DialogAdapter

java.lang.Object
com.meterware.httpunit.DialogAdapter

All Implemented Interfaces:
  `DialogResponder`

public class DialogAdapter extends Object implements DialogResponder

Author:
  Russell Gold

## Constructor Summary

Constructors
Constructor
Description
`DialogAdapter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getConfirmation(String confirmationPrompt)`
Invoked when the user agent needs to display a confirmation dialog.
`String`
`getUserResponse(String prompt, String defaultResponse)`
Invoked when the user agent needs to display a generic dialog and obtain a user response.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DialogAdapter

public DialogAdapter()

## Method Details

### getConfirmation

public boolean getConfirmation(String confirmationPrompt)
Invoked when the user agent needs to display a confirmation dialog. This default implementation confirms all dialogs.

Specified by:
  `getConfirmation` in interface `DialogResponder`

### getUserResponse

public String getUserResponse(String prompt, String defaultResponse)
Invoked when the user agent needs to display a generic dialog and obtain a user response. This default implementation returns the default response.

Specified by:
  `getUserResponse` in interface `DialogResponder`